Skip to content

Commit

Permalink
Fixed minor gaps in carbonfet cluster due to other fixes to default c…
Browse files Browse the repository at this point in the history
…luster. Fixed screw_cbore_diameter which was applied as a radius, doubling the hole size.
  • Loading branch information
joshreve committed Jul 26, 2021
1 parent e01ad9e commit 088c734
Showing 1 changed file with 5 additions and 3 deletions.
8 changes: 5 additions & 3 deletions src/dactyl_manuform.py
Original file line number Diff line number Diff line change
Expand Up @@ -103,10 +103,12 @@ def debugprint(info):
mount_height = keyswitch_height + 2 * plate_rim
mount_thickness = plate_thickness

if default_1U_cluster:
if default_1U_cluster and thumb_style=='DEFAULT':
double_plate_height = (.7*sa_double_length - mount_height) / 3
else:
elif thumb_style=='DEFAULT':
double_plate_height = (.95*sa_double_length - mount_height) / 3
else:
double_plate_height = (sa_double_length - mount_height) / 3

if oled_mount_type is not None and oled_mount_type != "NONE":
left_wall_x_offset = oled_left_wall_x_offset_override
Expand Down Expand Up @@ -2671,7 +2673,7 @@ def baseplate(wedge_angle=None):
loc = hole.Center()
hole_shapes.append(
translate(
cylinder(screw_cbore_diameter, screw_cbore_depth),
cylinder(screw_cbore_diameter/2.0, screw_cbore_depth),
(loc.x, loc.y, 0)
# (loc.x, loc.y, screw_cbore_depth/2)
)
Expand Down

0 comments on commit 088c734

Please sign in to comment.